package com.lightinit.hsdataplatform.mapper;

import com.lightinit.hsdataplatform.entity.Contract;
import com.lightinit.hsdataplatform.entity.ContractExample;
import com.lightinit.hsdataplatform.entity.ContractWithBLOBs;
import java.util.List;

import com.lightinit.hsdataplatform.model.admin.ContractListModel;
import com.lightinit.hsdataplatform.model.admin.ContractSearchModel;
import org.apache.ibatis.annotations.Param;

public interface ContractMapper {
    long countByExample(ContractExample example);

    int deleteByExample(ContractExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContractWithBLOBs record);

    int insertSelective(ContractWithBLOBs record);

    List<ContractWithBLOBs> selectByExampleWithBLOBs(ContractExample example);

    List<Contract> selectByExample(ContractExample example);

    ContractWithBLOBs selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContractWithBLOBs record, @Param("example") ContractExample example);

    int updateByExampleWithBLOBs(@Param("record") ContractWithBLOBs record, @Param("example") ContractExample example);

    int updateByExample(@Param("record") Contract record, @Param("example") ContractExample example);

    int updateByPrimaryKeySelective(ContractWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(ContractWithBLOBs record);

    int updateByPrimaryKey(Contract record);

    List<ContractListModel> queryList(ContractSearchModel inputModel);

    long queryCount(ContractSearchModel inputModel);
}